diff --git a/books/Makefile.pamphlet b/books/Makefile.pamphlet
index 606862f..7c89d98 100644
--- a/books/Makefile.pamphlet
+++ b/books/Makefile.pamphlet
@@ -204,6 +204,7 @@ ${PDF}/toc.pdf: ${BOOKS}
 	@echo 13 making ${PDF}/toc.pdf
 	@(cd ${PDF} ; \
 	echo "\\documentclass{book}" >toc.tex ; \
+	echo "\\setlength{\\textwidth}{400pt}" >>toc.tex ; \
 	echo "\\usepackage{amssymb}" >>toc.tex ; \
 	echo "\\begin{document}" >>toc.tex ; \
 	echo "{\\bf Volume ~ 0}: Axiom {\\sl Jenks and Sutor}\\\\" >toc.toc ; \
diff --git a/books/bookvol0.pamphlet b/books/bookvol0.pamphlet
index b354e8d..37b7f81 100644
--- a/books/bookvol0.pamphlet
+++ b/books/bookvol0.pamphlet
@@ -2,6 +2,7 @@
 %\usepackage{axiom}
 \usepackage{hyperref}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 % struggle with latex figure-floating behavior
diff --git a/books/bookvol1.pamphlet b/books/bookvol1.pamphlet
index 8b320dc..82677d2 100644
--- a/books/bookvol1.pamphlet
+++ b/books/bookvol1.pamphlet
@@ -2,6 +2,7 @@
 \usepackage{hyperref}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 % struggle with latex figure-floating behavior
diff --git a/books/bookvol10.1.pamphlet b/books/bookvol10.1.pamphlet
index 378b224..90ca308 100644
--- a/books/bookvol10.1.pamphlet
+++ b/books/bookvol10.1.pamphlet
@@ -3,6 +3,7 @@
 \usepackage{amssymb}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 \renewcommand{\thefootnote}{\fnsymbol{footnote}}
diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 0f1b7b3..2463994 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -3,6 +3,7 @@
 \usepackage{amssymb}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 % special meanings for math characters
diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index f7084c4..78cef74 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -3,6 +3,7 @@
 \usepackage{amssymb} %% we need \therefore symbol
 \usepackage{axiom}   %% we need noweb support
 \usepackage{makeidx} %% we need an index
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}%%we need \includegraphics
 
diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index c84b33b..cb29a2e 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -3,6 +3,7 @@
 \usepackage{amssymb}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 % special meanings for math characters
diff --git a/books/bookvol10.5.pamphlet b/books/bookvol10.5.pamphlet
index 6df24e4..0b4f76c 100644
--- a/books/bookvol10.5.pamphlet
+++ b/books/bookvol10.5.pamphlet
@@ -3,6 +3,7 @@
 \usepackage{amssymb}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 % special meanings for math characters
diff --git a/books/bookvol10.pamphlet b/books/bookvol10.pamphlet
index 79a16bc..40e11f0 100644
--- a/books/bookvol10.pamphlet
+++ b/books/bookvol10.pamphlet
@@ -3,6 +3,7 @@
 \usepackage{amssymb}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 % special meanings for math characters
diff --git a/books/bookvol11.pamphlet b/books/bookvol11.pamphlet
index 18e20b3..8d15722 100644
--- a/books/bookvol11.pamphlet
+++ b/books/bookvol11.pamphlet
@@ -2,6 +2,7 @@
 \usepackage{hyperref}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 \begin{document}
diff --git a/books/bookvol12.pamphlet b/books/bookvol12.pamphlet
index d7ebbb0..54f2520 100644
--- a/books/bookvol12.pamphlet
+++ b/books/bookvol12.pamphlet
@@ -2,6 +2,7 @@
 \usepackage{hyperref}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 % struggle with latex figure-floating behavior
diff --git a/books/bookvol2.pamphlet b/books/bookvol2.pamphlet
index 6e4a8a1..ad5b8a5 100644
--- a/books/bookvol2.pamphlet
+++ b/books/bookvol2.pamphlet
@@ -2,6 +2,7 @@
 \usepackage{hyperref}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 % struggle with latex figure-floating behavior
diff --git a/books/bookvol3.pamphlet b/books/bookvol3.pamphlet
index d8bbdff..7a0d819 100644
--- a/books/bookvol3.pamphlet
+++ b/books/bookvol3.pamphlet
@@ -2,6 +2,7 @@
 \usepackage{hyperref}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 % struggle with latex figure-floating behavior
diff --git a/books/bookvol4.pamphlet b/books/bookvol4.pamphlet
index 418aeb8..34818d9 100644
--- a/books/bookvol4.pamphlet
+++ b/books/bookvol4.pamphlet
@@ -2,6 +2,7 @@
 \usepackage{hyperref}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 % struggle with latex figure-floating behavior
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 84aa41a..9fd04b0 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -1,8 +1,8 @@
 \documentclass[dvipdfm]{book}
-\setlength{\textwidth}{400pt}
 \usepackage{hyperref}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 \begin{document}
diff --git a/books/bookvol6.pamphlet b/books/bookvol6.pamphlet
index 38529bc..c908a5d 100644
--- a/books/bookvol6.pamphlet
+++ b/books/bookvol6.pamphlet
@@ -1,6 +1,7 @@
-\documentclass{book}
+\documentclass[dvipdfm]{book}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 \begin{document}
diff --git a/books/bookvol7.1.pamphlet b/books/bookvol7.1.pamphlet
index 30ea9b7..8d52f60 100644
--- a/books/bookvol7.1.pamphlet
+++ b/books/bookvol7.1.pamphlet
@@ -3,6 +3,7 @@
 \usepackage{hyperref}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 \begin{document}
diff --git a/books/bookvol7.pamphlet b/books/bookvol7.pamphlet
index e222344..5b08c71 100644
--- a/books/bookvol7.pamphlet
+++ b/books/bookvol7.pamphlet
@@ -2,6 +2,7 @@
 \usepackage{hyperref}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 \begin{document}
diff --git a/books/bookvol8.pamphlet b/books/bookvol8.pamphlet
index 310a00b..ade9d5c 100644
--- a/books/bookvol8.pamphlet
+++ b/books/bookvol8.pamphlet
@@ -2,6 +2,7 @@
 \usepackage{hyperref}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 \begin{document}
diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 5801f4a..9b2df70 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -2,6 +2,7 @@
 \usepackage{hyperref}
 \usepackage{axiom}
 \usepackage{makeidx}
+\setlength{\textwidth}{400pt}
 \makeindex
 \usepackage{graphicx}
 % struggle with latex figure-floating behavior
diff --git a/changelog b/changelog
index b9159ff..d834214 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,24 @@
+20110514 tpd src/axiom-website/patches.html 20110514.01.tpd.patch
+20110514 tpd books/bookvolbib set textlength 400
+20110514 tpd books/bookvol8 set textlength 400
+20110514 tpd books/bookvol7 set textlength 400
+20110514 tpd books/bookvol7.1 set textlength 400
+20110514 tpd books/bookvol6 set textlength 400
+20110514 tpd books/bookvol5 set textlength 400
+20110514 tpd books/bookvol4 set textlength 400
+20110514 tpd books/bookvol3 set textlength 400
+20110514 tpd books/bookvol2 set textlength 400
+20110514 tpd books/bookvol12 set textlength 400
+20110514 tpd books/bookvol11 set textlength 400
+20110514 tpd books/bookvol10 set textlength 400
+20110514 tpd books/bookvol10.5 set textlength 400
+20110514 tpd books/bookvol10.4 set textlength 400
+20110514 tpd books/bookvol10.3 set textlength 400
+20110514 tpd books/bookvol10.2 set textlength 400
+20110514 tpd books/bookvol10.1 set textlength 400
+20110514 tpd books/bookvol1 set textlength 400
+20110514 tpd books/bookvol0 set textlength 400
+20110514 tpd books/Makefile set textlength 400
 20110513 tpd src/axiom-website/patches.html 20110513.01.tpd.patch
 20110513 tpd src/interp/parsing.lisp treeshake compiler
 20110513 tpd books/bookvol9 treeshake compiler
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 241a224..d42e9f0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3470,5 +3470,7 @@ books/bookvol5 treeshake interpreter<br/>
 books/bookvol5 treeshake interpreter<br/>
 <a href="patches/20110513.01.tpd.patch">20110513.01.tpd.patch</a>
 books/bookvol9 treeshake compiler<br/>
+<a href="patches/20110514.01.tpd.patch">20110513.01.tpd.patch</a>
+books/bookvol* set textlength 400<br/>
  </body>
 </html>
